"use strict";
exports.__esModule = true;
var path_1 = require("path");
var fs = require("fs");
var free_regular_svg_icons_1 = require("@fortawesome/free-regular-svg-icons");
var free_brands_svg_icons_1 = require("@fortawesome/free-brands-svg-icons");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
module.exports = function (config) {
    var farList = Object.keys(free_regular_svg_icons_1.far).map(function (key) {
        var item = free_regular_svg_icons_1.far[key];
        return item.prefix + " fa-" + item.iconName;
    });
    var fabList = Object.keys(free_brands_svg_icons_1.fab).map(function (key) {
        var item = free_brands_svg_icons_1.fab[key];
        return item.prefix + " fa-" + item.iconName;
    });
    var fasList = Object.keys(free_solid_svg_icons_1.fas).map(function (key) {
        var item = free_solid_svg_icons_1.fas[key];
        return item.prefix + " fa-" + item.iconName;
    });
    var dir = path_1.resolve(config.dist);
    if (!fs.existsSync(dir)) {
        fs.mkdirSync(dir);
    }
    fs.writeFile(path_1.resolve(config.dist, 'far.json'), JSON.stringify(farList), function (err) {
        console.log(err);
    });
    fs.writeFile(path_1.resolve(config.dist, 'fab.json'), JSON.stringify(fabList), function (err) {
        console.log(err);
    });
    fs.writeFile(path_1.resolve(config.dist, 'fas.json'), JSON.stringify(fasList), function (err) {
        console.log(err);
    });
    fs.writeFile(path_1.resolve(config.dist, 'far.js'), "module.exports = " + JSON.stringify(farList), function (err) {
        console.log(err);
    });
    fs.writeFile(path_1.resolve(config.dist, 'fab.js'), "module.exports = " + JSON.stringify(fabList), function (err) {
        console.log(err);
    });
    fs.writeFile(path_1.resolve(config.dist, 'fas.js'), "module.exports = " + JSON.stringify(fasList), function (err) {
        console.log(err);
    });
};
